<template></template>
<script setup>
import { useRoute, useRouter } from 'vue-router'
import { onMounted } from 'vue'
import makeApiCall from '@/utils/makeApiCall.js'
import { useRecordWizardStore } from '@/stores/recordwizard'
import VueCookies from 'vue-cookies'

const route = useRoute()
const router = useRouter()
const listId = route.params.listId
const store = useRecordWizardStore()

onMounted(async () => {
  const res = await makeApiCall(
    'get',
    `/locutors/my/1/create-list/${listId}`,
    () => {},
    true,
    {},
    {
      'X-CSRFToken': VueCookies.get('csrftoken'),
    },
  )
  store.items = JSON.parse(res.words)
  store.selectedLanguageId = res.language_qid
  router.push('/record')
})
</script>
